﻿angular.module('TranslationServicesConnectorApp', ['ngRoute'])
    .config(function ($routeProvider) {
        $routeProvider
        .when('/', {
            templateUrl: '/Views/Dashboard/views/main.html',
            controller: 'DashboardCtrl'
        })
        .when('/createPackage', {
            templateUrl: '/Views/Dashboard/views/createPackage.html'
        })
        .when('/createQuote', {
            templateUrl: '/Views/Dashboard/views/createPackage.html'
        })
        .when('/modifyPackage', {
            templateUrl: '/Views/Dashboard/views/modifyPackage.html'
        })
        .when('/projectDetails', {
            templateUrl: '/Views/Dashboard/views/detailsPackage.html'
        })
        .when('/quoteDetails', {
            templateUrl: '/Views/Dashboard/views/detailsPackage.html'
        })
        .when('/modifyQuote', {
            templateUrl: '/Views/Dashboard/views/modifyPackage.html'
        });
    })
    .filter('selected', [
        '$filter', function ($filter) {
            return function (files) {
                return $filter('filter')(files, {
                    selected: true
                });
            };
        }
    ]);

var logHttpError = function (data, status, headers, config) {
    console.log({
        message: 'An HTTP error occurred!',
        data: data,
        status: status,
        headers: headers,
        config: config
    });
};

var debugLog = function (message) {
    if (console && console.log) {
        console.log(message);
    }
};

var showConfirm = function (title, text, onConfirm) {
    var confirm = new PNotify({
        title: title,
        text: text,
        icon: 'glyphicon glyphicon-question-sign',
        hide: false,
        confirm: {
            confirm: true
        },
        buttons: {
            closer: false,
            sticker: false
        },
        history: {
            history: false
        },
        addclass: 'stack-modal',
        stack: { 'dir1': 'down', 'dir2': 'right', 'modal': true }
    });

    confirm.get().on('pnotify.confirm', function () {
        if (onConfirm) {
            onConfirm();
        }
    });
};

var emptyPromise = function ($q) {
    var deferred = $q.defer();
    deferred.resolve(false);
    return deferred.promise;
};
